class MyError(Exception): pass

def stuff(file):
    file.write('Witaj?')                          # Może wystąpić opóźnienie w buforze pliku
    raise MyError()                               # <= Włącz lub wyłącz za pomocą #

if __name__ == '__main__':
    file = open('temp.txt', 'w')                  # Otwarcie pliku wyjścia (tu też może wystąpić problem)
    try:
        stuff(file)                               # Zgłoszenie wyjątku
    finally:
        file.close()                              # Zawsze zamykanie pliku w celu wyczyszczenia bufora wyjścia
    print('Czy program tutaj doszedł?')           # Kontynuacja tutaj tylko jeśli nie ma wyjątku

